## vco-plugins 0.3.0

=== Makefile ===

CPPFLAGS += -I. -fPIC -D_REENTRANT -Wall -O3


blvco.so:	blvco.o blvco_if.o exp2ap.o
	g++ -shared  blvco.o blvco_if.o exp2ap.o -o blvco.so

blvco.o:	ladspaplugin.h blvco.h ladspa.h
blvco_if.o:	ladspaplugin.h blvco.h ladspa.h


install:
	/bin/cp  blvco.so /usr/lib/ladspa
	/bin/cp  blvco.so /usr/lib/ladspa/vco_sawpulse.so


DIR := $(shell basename `pwd`)

archive:	clean
	cd ..; /bin/rm -f $(DIR).tar.bz2; tar cvf $(DIR).tar $(DIR); bzip2 $(DIR).tar


clean:
	/bin/rm -f *~ *.o *.so

=== debian/changelog ===
vco-plugins (0.3.0-2) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Add myself as uploader.
  * Copyright updated to format 1.0
  * Fix homepage in control file
  * Fix URL in copyright file
  * Fix watch file.
  * Bump Standards.
  * Set compatibility to 7.
  * Switch to debhelper 3.0 (quilt).

  [ Alessio Treglia ]
  * Add Homepage field.
  * Update team's name, add missing Vcs-* tags.
  * Set DM-Upload-Allowed: yes.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 15 Apr 2012 16:21:41 +0200

vco-plugins (0.3.0-1) unstable; urgency=low

  * Initial release (Closes: #456163)

 -- Free Ekanayaka <freee@debian.org>  Thu, 13 Dec 2007 10:48:56 +0000

=== debian/control ===
Source: vco-plugins
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 7.0.50~),
 ladspa-sdk
DM-Upload-Allowed: yes
Standards-Version: 3.9.3
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/index.html
Vcs-Git: git://git.debian.org/pkg-multimedia/vco-plugins.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/vco-plugins.git

Package: vco-plugins
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 ladspa-plugin
Description: LADSPA plugin sporting anti-aliased oscillators
 This plugin contains three anti-aliased oscillators, all based on the
 concept of using precomputed bandlimited Dirac pulses to construct the
 classical waveforms. They are both memory and CPU efficient. The first
 one produces a flat spectrum (impulses) and the second generates a
 sawtooth waveform. The third one (new in 0.3.0), provides a variable
 width rectangular waveform.

=== debian/watch ===
version=3
http://kokkinizita.linuxaudio.org/linuxaudio/downloads/ \
	VCO-plugins-(.*)\.tar\.bz2
